Skip to main content
PUT
/
api
/
v1
/
wallet
/
{id}
update entity by id
curl --request PUT \
  --url https://api.example.com/api/v1/wallet/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "ACTIVE",
  "name": "<string>",
  "tags": [
    "<string>"
  ]
}
'
{
  "chainUid": "arbitrum",
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "tenantId": 123,
  "address": "<string>",
  "name": "<string>",
  "type": "DEFAULT",
  "tags": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Body

application/json
status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
name
string

Name for the entity

tags
string[]

Tags associated with the wallet

Response

200 - application/json

OK

chainUid
enum<string>
required

Network uid that associated with extractor wallet

Available options:
arbitrum,
bsc,
bsc_testnet,
ethereum,
linea,
optimism,
base,
base_sepolia,
gnosis,
fantom,
polygon,
polygon_amoy,
blast,
zksync,
scroll,
avalanche,
avalanche_fuji,
telos,
sepolia,
holesky,
ethereum_sepolia,
ethereum_holesky,
tron,
zeta,
somnia,
adi,
anvil,
icp,
vechain,
stellar,
bitcoin,
solana
id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
tenantId
integer<int64>

The tenant ID associated with the extractor wallet

address
string

The direct address of the extractor wallet

name
string

Name for the entity

type
enum<string>

Wallet type: DEFAULT or HSM

Available options:
DEFAULT,
HSM
tags
string[]

Tags associated with the wallet